> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/member/api-member-matching.md).

# /api/member/matching

## GET /api/member/matching

> Find matching members for member fields

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/member/matching"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_member_matching":{"type":"object","properties":{"success":{"type":"boolean"}}}}},"paths":{"/api/member/matching":{"get":{"description":"Find matching members for member fields","tags":["/api/member/matching"],"parameters":[{"name":"memberid","in":"query","schema":{"type":"integer"},"required":false},{"name":"fields","in":"query","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_member_matching"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_member_matching"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_member_matching"}}}}}}}}}
```
